
    
.task {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 0.5rem 1rem;
    border: 1px solid #ccc;
    margin-bottom: .5rem;

    i {
        cursor: pointer;
        margin-left: auto;
        margin-right: 0px;
    }
}

.task-expired {
    border: 1px solid var(--primary-color);
    min-height: 42px;
}

.task-expired-title {
    cursor: pointer;
    i {
        transition: transform 0.3s ease;
    }
}

.task-expired-title.open {
    i {
        transform: rotate(90deg);
    }
}

.task > * {
    margin-right: 10px;
}

.task > span,
.task > span > span {   // TODO rename this to task-title
    overflow: hidden;
    word-wrap: break-word;
    text-overflow: ellipsis;
    white-space: nowrap;
}

.task > span > div {    // TODO rename this to task-date
    white-space: nowrap;
}

.task > span > i {      // TODO task-separator
    cursor: default;
}

.task > .show-full-text,
.task > .show-full-text > span {
    white-space: normal;
}

.task.hidden {
    overflow: hidden;
    height: 0 !important;
    // margin: 0 !important;
    border: 0 !important;
    padding: 0 !important;
    display: none;
}

.task mat-checkbox {
    display: flex;
}

.cdk-drag-preview {
    @extend .task;
    opacity: .75;
    box-sizing: border-box;
    @extend .drag-shadow;
    background: var(--background);
}

.drag-shadow {
    box-shadow: 0 5px 5px -3px rgba(0, 0, 0, 0.2),
                0 8px 10px 1px rgba(0, 0, 0, 0.14),
                0 3px 14px 2px rgba(0, 0, 0, 0.12);
}

.cdk-drag-animating { // TODO return this when refactoring animations (hidden because when moving to calendar it jumps on top of the screen)
    transition: transform 250ms cubic-bezier(0, 0, 0.2, 1);
}

.cdk-drag-placeholder {
    border-style: dashed;
    opacity: .3;
}

hr {
    margin: .5rem 0;
    border: 1px solid var(--darker-color);
}

.task + .task.task-dummy {
    display: none;
}

// .cdk-drag-placeholder + .task.task-dummy { // TODO make this work! It should hide dummy text when task is hovered above empty list. PS next stuff works
//     background: green;
// }

// .task.task-dummy + .cdk-drag-placeholder { // and this stuff works (this is just example for 
//     background: yellow;
// }

.cdk-drop-list-dragging .task-dummy {
    display: none;
}

.no-animation {
    transition: none;
}

.press {
    box-shadow: 0 0 0 0 rgba(0, 0, 0, 0.2),
                0 0 0 0 rgba(0, 0, 0, 0.14),
                0 0 0 0 rgba(0, 0, 0, 0.12);
}

.longpress {
    @extend .drag-shadow; // TODO remove shadow from preview
    transition: box-shadow 0.3s ease;
    transition: border-color 0.3s ease;
}
